#include "ColSampGrad.h"

#define SEED    1
#define BRNG    VSL_BRNG_MCG31
#define METHOD  0

void MKLrandg(float *r, int N)
{
    VSLStreamStatePtr stream;
    int i;
    float a=0.0,b=1.0;

    double tM,tD,tQ,tD2;
    double sM,sD;
    double sum, sum2;
    double n,s;
    double DeltaM,DeltaD;

    /***** Initialize *****/
    vslNewStream( &stream, BRNG,  SEED );

    /***** Call RNG *****/
    vsRngUniform( METHOD, stream, N, r, a, b );

    /***** Deinitialize *****/
    vslDeleteStream( &stream );
}
