function [u,sigma,sgn]=lmeig(S)
% Compute maximum eigenvalue and eigenvector of S
n=size(S,1);
algo=1;

%tic
if n==1
    u=1;sigma=abs(S);sgn=sign(S);
else
    options.disp=0;
    options.issym=1;
    [u,sigma,flag]=eigs(0.5*(S+S'),1,'lm',options); % ARPACK: Faster for large problems but relatively unstable
    flag=0;
    sgn=sign(u'*S*u);
end
%toc